<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                template="../../templates/main-template.xhtml">

    <ui:define name="content">
        <div class="ui-g-4 ui-g-offset-4">
            <h:form prependId="false">
                <p:panel id="login-pnl" header="Login" style="margin-bottom:10px;">
                    <div class="ui-g">
                        <p:messages id="messages"/>
                    </div>
                    <div class="ui-g">
                        <p:outputLabel value="Login failed!" styleClass="red" rendered="${!empty param['error']}"/>
                        <div class="ui-panelgrid-cell ui-g-12">
                            <p:inputText id="username" placeholder="Login" styleClass="full-width"/>
                        </div>
                        <div class="ui-panelgrid-cell ui-g-12">
                            <p:password id="password" placeholder="Password" styleClass="full-width"/>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-panelgrid-cell ui-g-12">
                            <p:commandButton styleClass="buttons" ajax="false" value="Login"/>
                            <p:spacer width="20"/>
                            <p:linkButton outcome="pretty:index" styleClass="buttons" value="Back"/>
                        </div>
                    </div>
                </p:panel>
            </h:form>
        </div>
    </ui:define>

</ui:composition>
